%define name    seq24
%define version 0.5.1
%define release 1

%define	desktop_vendor	planetccrma
%define desktop_utils   %(if which desktop-file-install &>/dev/null ; then echo "yes" ; fi)

Summary:      Real-time midi sequencer
Name:         %{name}
Version:      %{version}
Release:      %{release}
Copyright:    GPL
Group:        Applications/Multimedia
URL:          http://www.filter24.org/seq24/
Source:       seq24-%{version}.tar.gz
Patch0:       seq24-0.5.0-options.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-buildroot
Packager:     Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
Distribution: Planet CCRMA

BuildRequires: gcc-c++ alsa-lib-devel gtkmm-devel

%description
Seq24 is a real-time midi sequencer. It was created to provide a very
simple interface for editing and playing midi 'loops'. After searching
for a software based sequencer that would provide the functionality
needed for a live techno performance, such as the Akai MPC line, the
Kawai Q80 sequencer, or the popular Alesis MMT-8, I found nothing
similar in the software realm. I set out to create a very minimal
sequencer that excludes the bloated features of the large software
sequencers, and includes a small subset of features that I have found
usable in performing.

%prep
%setup -q
%patch0 -p1

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

#--- desktop entry
cat << EOF > %{desktop_vendor}-%{name}.desktop
[Desktop Entry]
Name=Seq24
Comment=Real-time midi sequencer
Icon=
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
EOF
%if "%{desktop_utils}" == "yes"
  mkdir -p %{buildroot}%{_datadir}/applications
  desktop-file-install --vendor %{desktop_vendor} \
    --dir %{buildroot}%{_datadir}/applications    \
    --add-category X-Red-Hat-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    %{desktop_vendor}-%{name}.desktop
%else
  install -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia
  install %{desktop_vendor}-%{name}.desktop $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia/
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README RTC SEQ24
%{_bindir}/seq24
%if "%{desktop_utils}" == "yes"
%{_datadir}/applications/*%{name}.desktop
%else
%{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-%{name}.desktop
%endif

%changelog
* Thu Jul 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.1-1
- updated to 0.5.1
* Wed May  5 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.0-2
- fixed missing defattr in file list
* Wed May  5 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.0-1
- updated to 0.5.0
* Wed Jan 21 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.4-1
- updated to 0.4.4
* Thu Nov 20 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.2-1
- spec file tweaks, add release tags
* Mon May 19 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.2-1
- updated to 0.4.2
* Wed Mar 19 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.1-1
- initial build
